> This page is for Alfa (Preview).

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alfa.boosted.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alfa.boosted.ai/_mcp/server.

# Get User

GET https://sandbox.api.boosted.ai/v2/account-management/user

A partner, using a token signed by their clientId and clientSecret, can call this method to get the current metadata associated with the user id.

Reference: https://docs.alfa.boosted.ai/alfa-preview/account-management-api/reference/get/user-v-2

## Authentication

- `Authorization` header (required) — Enter your JWT Token here in the format: Bearer \{token}

## Request

### Query parameters

- `user_id` (string, optional) — User Id
- `external_user_id` (string, optional) — External User Id

## Response

### 200

OK

- `message` (string, optional)
- `success` (boolean, optional)
- `user` (user_service.ManagedUserV2, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `map from string to string`

### 403 Forbidden Error

Unauthorized

- `map from string to string`

### 422 Unprocessable Entity Error

Validation Error

- `map from string to string`

## Types

### user_service.ManagedUserV2

- `email` (string, optional)
- `entitlements` (list of user_service.BillingFeatureQuantityV2, optional)
- `external_user_id` (string, optional)
- `name` (string, optional)
- `org_id` (string, optional)
- `user_id` (string, optional)
- `workspace_id` (string, optional)

### user_service.BillingFeatureQuantityV2

- `billing_feature_id` (string, optional)

## Examples

**Response**

```json
{
  "message": "string",
  "success": true,
  "user": {
    "email": "string",
    "entitlements": [
      {
        "billing_feature_id": "string"
      }
    ],
    "external_user_id": "string",
    "name": "string",
    "org_id": "string",
    "user_id": "string",
    "workspace_id": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://sandbox.api.boosted.ai/v2/account-management/user"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://sandbox.api.boosted.ai/v2/account-management/user';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.api.boosted.ai/v2/account-management/user"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://sandbox.api.boosted.ai/v2/account-management/user")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.api.boosted.ai/v2/account-management/user")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.api.boosted.ai/v2/account-management/user', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://sandbox.api.boosted.ai/v2/account-management/user");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.api.boosted.ai/v2/account-management/user")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```